Create a new subscription
curl --request POST \
--url https://api.bondio.co/v2/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planParams": {
"planId": "<string>",
"activationAt": 123
},
"esim": "<string>",
"metadata": "<string>"
}
'import requests
url = "https://api.bondio.co/v2/subscriptions"
payload = {
"planParams": {
"planId": "<string>",
"activationAt": 123
},
"esim": "<string>",
"metadata": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
planParams: {planId: '<string>', activationAt: 123},
esim: '<string>',
metadata: '<string>'
})
};
fetch('https://api.bondio.co/v2/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "sub2_wyr3ios2",
"esim": {
"id": "esim_iddfsdf1",
"iccid": "891004234814455936F",
"activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
"msisdn": "449898978234",
"label": "alpha"
},
"createdAt": 123143243,
"metadata": "tag1"
}SubscriptionV2
Create a new subscription
POST
/
v2
/
subscriptions
Create a new subscription
curl --request POST \
--url https://api.bondio.co/v2/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planParams": {
"planId": "<string>",
"activationAt": 123
},
"esim": "<string>",
"metadata": "<string>"
}
'import requests
url = "https://api.bondio.co/v2/subscriptions"
payload = {
"planParams": {
"planId": "<string>",
"activationAt": 123
},
"esim": "<string>",
"metadata": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
planParams: {planId: '<string>', activationAt: 123},
esim: '<string>',
metadata: '<string>'
})
};
fetch('https://api.bondio.co/v2/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "sub2_wyr3ios2",
"esim": {
"id": "esim_iddfsdf1",
"iccid": "891004234814455936F",
"activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
"msisdn": "449898978234",
"label": "alpha"
},
"createdAt": 123143243,
"metadata": "tag1"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
can be used to fetch full esim object with expand=esim
Body
application/json
Exactly one of the planId or plan should be provided
Response
200 - application/json
OK

